Bug 735061 - CommandBase.getNow() is equal to new java.util.Date()
Summary: CommandBase.getNow() is equal to new java.util.Date()
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: unspecified
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
: ---
Assignee: lpeer
QA Contact:
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 10:32 UTC by Laszlo Hornyak
Modified: 2013-09-30 23:22 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-11 06:41:04 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Laszlo Hornyak 2011-09-01 10:32:22 UTC
Description of problem:

CommandBase.getNow() calls System.currentTimeMillis and it passes the returned value to the constructed Date object's constructor. This is the same as default constructor's behavior. Plus then there is no need to call this method, it is more simply to create a java.util.Date

How reproducible:
Always

Comment 1 Itamar Heim 2012-12-11 06:41:04 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.